%def_disable static

Name: libsvg
Version: 0.1.4
Release: alt2
Summary: A generic SVG library
License: LGPL
URL: http://www.xsvg.org/
Group: System/Libraries

Source0: %name-%version.tar.gz
Patch0: %name-link.patch

# Automatically added by buildreq on Sat Mar 18 2006
BuildRequires: gcc-c++ libjpeg-devel libpng-devel libxml2-devel pkg-config

%description
libsvg provides a parser for SVG content in files or buffers. It
doesn't do any rendering, but instead provides a function-based
interface that can be used by various rendering engines.

%package devel
Summary: Header files for libsvg library
Group: Development/C++
Requires: %name = %version-%release

%description devel
Header files for libsvg library.

%package static
Summary: Static libsvg library
Group: Development/C++
Requires: %name-devel = %version-%release

%description static
Static libsvg library.

%prep
%setup -q

%patch0 -p1

%build
%__autoreconf
%configure \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/lib*.so.*

%files devel
%_libdir/lib*.so
%_includedir/*.h
%_pkgconfigdir/*.pc

%if_enabled static
%files static
%_libdir/lib*.a
%endif

%changelog
* Sat Mar 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.1.4-alt2
- fixed undefined symbols
- updated build dependencies

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.1.4-alt1.1
- Rebuilt for new pkg-config dependencies.

* Sat Jul 23 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.1.4-alt1
- 0.1.4

* Sat Feb 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.1.3-alt1
- initial release

